Software Notifications and Updates

Current Notifications as of  

cPanel

Clients with cPanel on their dedicated server, VPS or Cloud VM should be aware of the following:

  • cPanel version 70 reached the end of its supported lifespan on March 31, 2019.
    • This means that if your server is running cPanel 80 or earlier now it will no longer be supported by HostDime or cPanel Inc. Versions of cPanel that have reached end-of-life status no longer receive updates or full support. For security, we recommend you update to a more recent version of cPanel.
    • If you are unsure what version of cPanel your server is currently running, you can follow these directions to find out.
    • If you'd like to learn more about cPanel Inc.'s polices on supported versions, we recommend you review the information here and here.
  • HostDime recommends that clients always use the latest stable version of cPanel, which is currently version 82.
    • Click here to learn more about this release.

InterWorx

  • HostDime recommends only the latest release build (not the stable, release candidate or beta versions). Right now, that is 6.3.21.
  • To learn more about the current or upcoming versions of InterWorx, visit the version history.

Plesk

Clients with Plesk on their dedicated server, VPS or Cloud VM should be aware of the following:

  • The currently supported version of Plesk is Plesk Onyx (version 17.x).
    • Older versions of Plesk (version 12 and earlier) are no longer supported by HostDime or Plesk International GmbH.
    • Learn more about Plesk's end-of-life polices here.
  • HostDime recommends that our clients use Plesk Onyx 17.8.
    • You can learn more about this release here.
    • The next release, Plesk Obsidian, is due out later this year.

Operating Systems

HostDime supports a wide variety of operating systems on dedicated servers, VPSs or Cloud VMs. Here are some important notices:

Linux

  • CentOS 5 and earlier are now end-of-life and not supported by HostDime or the control panel vendors.
    • Please contact us if you'd like to upgrade to CentOS 7.
  • CentOS 6 64-bit is supported until December 1, 2020.
    • The 32-bit version is not supported by HostDime or the control panel vendors.
  • CentOS 7 64-bit is supported until July 1, 2024.
    • The 32-bit version is not supported by HostDime or the control panel vendors.
  • CentOS 8 64-bit is supported until May 31, 2029.
    • There is no 32-bit version of CentOS 8.
    • CentOS 8 is new and most control panel products do not yet support CentOS 8. If you need a control panel like InterWorx, cPanel or Plesk you may want to wait to upgrade to CentOS 8 until those developers have certified that the new OS works with their control panel.
  • HostDime recommends using CentOS 7 64-bit if you purchase a new dedicated server or Cloud VM and you need CentOS with a control panel. If you don't need a control panel, then we recommend CentOS 8.

Windows Server

  • HostDime no longer supports Windows Server 2008 R1 or earlier.
    • Windows Server 2008 R2 SP2 (64-bit only) is still supported until January 2020, but HostDime recommends migrating as soon as possible. 
    • Please contact us if you'd like to upgrade to Windows Server 2016 or newer.
  • We currently support Windows Server 2012 or newer.
    • We recommend running Windows Server 2016 or 2019 (both 64-bit).

Other Software

We know that our clients use a wide variety of software on their servers and we cannot possibly cover news about everything you might be using, but we'll cover some popular packages:

WordPress

  • The only officially supported version of WordPress is the very latest stable release. As of the date in the Current Notifications line above, that is version 5.2.4.
    • Since WordPress is exceptionally popular, it is critical that you keep WordPress and all plugins and themes up-to-date.
    • If you'd like to learn more about the official WordPress support policy, you can read it here.

Joomla

  • The supported version of Joomla is 3.9.12 as of the date in the Current Notifications line above. All other versions are considered end-of-life.
    • Be sure any installed themes, components or plugins updated.
    • You can learn more about Joomla's end-of-life policies, please view this page.

Drupal

  • Drupal supports both the latest releases of the 7.x and 8.x branches.
    • Version 6 and earlier are no longer support 
    • HostDime recommends the latest release as of the date in the Current Notifications line above, 8.7.8.
    • Please keep any themes or add-ons updated.
    • If you'd like to understand more about how Drupal releases work, please read this.

Magento Open Source

  • The open source edition of Magento's latest version is 2.3.3 and this is the version that HostDime recommends that you use.
    • Magento 1.5 through 1.9 will be supported with security fixes through June 2020.
    • Magento 1.0 through 1.4 are end-of-life and should not be used.
    • Learn more about Magento Open Source's release and support cycle here.
  • Note: The commercial edition of Magento has different support options, so you should contact them directly if you have questions.